from django import forms

from django_select2.forms import ModelSelect2Widget

from aleksis.apps.kort.models import Card


class CardForm(forms.ModelForm):
    class Meta:
        model = Card
        fields = ["person", "valid_until"]
        widgets = {
            "person": ModelSelect2Widget(
                search_fields=[
                    "first_name__icontains",
                    "last_name__icontains",
                    "short_name__icontains",
                ],
                attrs={"data-minimum-input-length": 0, "class": "browser-default"},
            ),
        }
